package org.wfc.system.service;

import org.wfc.common.core.web.page.TableDataInfo;
import org.wfc.omada.api.organization.model.CreateSiteEntity;
import org.wfc.omada.api.organization.model.SiteEntity;
import org.wfc.omada.api.organization.model.UpdateSiteEntity;

/**
 * @description: site service
 * @author: cyc
 * @since: 2025-02-18
 */
public interface ISysSiteService {

    TableDataInfo getSiteList(Integer pageNum, Integer pageSize);

    SiteEntity getSiteEntity(String siteId);

    boolean createNewSite(CreateSiteEntity createSiteEntity);

    boolean updateSiteEntity(String siteId, UpdateSiteEntity updateSiteEntity);

    boolean deleteSite(String siteId);
}
